trinity-apps/amarok: Add missing IUSE metadata, invalid Copyright

Style: Sort IUSE, DEPENDs

Note: media-libs/libkarma is still missing after this commit.

Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
pull/180/head
Andreas Sturmlechner 2 years ago
parent 0a7dd5542e
commit 7058d9793e
  1. 25
      trinity-apps/amarok/amarok-9999.ebuild
  2. 9
      trinity-apps/amarok/metadata.xml

@ -1,7 +1,9 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 2020 The Trinity Desktop Project
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
TRINITY_MODULE_TYPE="applications"
TRINITY_EXTRAGEAR_PACKAGING="yes"
@ -13,15 +15,14 @@ TRINITY_LANGS="af ar az be bg bn br ca cs cy da de el en_GB eo es
ss sv ta tg th tr uk uz uz@cyrillic zh_CN zh_TW"
TRINITY_DOC_LANGS="da de es et fr it nl pl pt pt_BR ru sv"
inherit trinity-base-2
DESCRIPTION="Advanced music player for TDE."
DESCRIPTION="Advanced music player for TDE"
HOMEPAGE="https://trinitydesktop.org/"
LICENSE="|| ( GPL-2 GPL-3 )"
need-trinity
LICENSE="|| ( GPL-2 GPL-3 )"
SLOT="${TRINITY_VER}"
# Notes about the ebuild:
@ -38,30 +39,30 @@ SLOT="${TRINITY_VER}"
#
# - Otherwise the ebuild should offer all what can be done with CMake at the moment.
IUSE+=" konqsidebar +xine ipod riokarma ifp njb mtp mp4
inotify visualization amazon mysql postgres opengl akode"
IUSE="akode amazon ifp inotify ipod konqsidebar mp4 mtp mysql njb
opengl postgres riokarma visualization +xine"
REQUIRED_USE="|| ( xine akode )"
DEPEND+="
dev-db/sqlite
dev-lang/ruby:*
media-libs/taglib
dev-db/sqlite
xine? ( <media-libs/xine-lib-1.2.10 )
akode? ( ~media-libs/akode-${PV} )
mp4? ( media-libs/libmp4v2 )
ipod? ( media-libs/libgpod )
riokarma? ( media-libs/libkarma )
ifp? ( media-libs/libifp )
ipod? ( media-libs/libgpod )
mp4? ( media-libs/libmp4v2 )
mtp? ( media-libs/libmtp )
mysql? ( virtual/mysql )
njb? ( media-libs/libnjb )
opengl? ( virtual/opengl )
postgres? ( dev-db/postgresql )
mtp? ( media-libs/libmtp )
mysql? ( virtual/mysql )
riokarma? ( media-libs/libkarma )
visualization? (
media-libs/libsdl
media-plugins/libvisual-plugins
)
xine? ( <media-libs/xine-lib-1.2.10 )
"
RDEPEND+=" ${DEPEND}"

@ -2,4 +2,13 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<!-- maintainer-needed -->
<use>
<flag name="akode">Enable support for common audio formats via <pkg>media-libs/akode</pkg></flag>
<flag name="amazon">Enable support for downloading covers from amazon.com</flag>
<flag name="ifp">Enable support for iRiver devices access through <pkg>media-libs/libifp</pkg></flag>
<flag name="konqsidebar">Enable konqueror sidebar plugin</flag>
<flag name="njb">Enable support for NJB (Creative) devices access through <pkg>media-libs/libnjb</pkg></flag>
<flag name="riokarma">Enable support for Rio Karma devices via <pkg>media-libs/libkarma</pkg></flag>
<flag name="visualization">Support visualization plugins through <pkg>media-libs/libvisual</pkg></flag>
</use>
</pkgmetadata>

Loading…
Cancel
Save